import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/observable/of';
import { EmployeeServiceConfig } from './../model/employee.service.config';
import { Employee } from './../model/employee';
import { SharePointEmployeePicture } from './../../sharepoint/model/sharepoint-employee-picture';
export declare class EmployeeService {
    private http;
    usersUrl: string;
    sharePointUrl: string;
    employees: Employee[];
    photos: SharePointEmployeePicture[];
    constructor(config: EmployeeServiceConfig, http: HttpClient);
    getEmployees(storeEmployees?: boolean): Observable<Employee[]>;
    getEmployee(sAMAccountName: string): Observable<Employee>;
    getPhotos(storePhotos?: boolean): Observable<SharePointEmployeePicture[]>;
}
